%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           jboss-vfs
Version:        3.3.0
Release:        1%{?dist}
Summary:        JBoss Virtual File System library

License:        Apache-2.0
URL:            https://github.com/jbossas/jboss-vfs
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/jboss/%{name}/%{namedversion}/%{name}-%{namedversion}-source-release.zip

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-surefire-plugin)
BuildRequires:  mvn(org.jboss.logging:jboss-logging)
BuildRequires:  mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires:  mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)

%description
JBoss VFS provides an API to represent a deployment as a read-only hierarchical
file system regardless of whether it is packaged or not. It also allows
deployments to be accessed both locally and remotely using a pluggable design so
that new protocols can easily be added to those supplied by default (file, jar,
memory).

%{?javadoc_package}

%prep
%autosetup -n %{name}-%{namedversion}
%pom_remove_plugin -r :maven-checkstyle-plugin

%build
# Skipped because jboss-test is not packaged
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%changelog
* Wed Jul 12 2023 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 3.3.0-1
- Update to 3.3.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Aug 20 2016 gil cattaneo <puntogil@libero.it> 3.2.12-1
- update to 3.2.12.Final

* Tue May 31 2016 gil cattaneo <puntogil@libero.it> 3.2.11-1
- update to 3.2.11.Final

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 08 2015 gil cattaneo <puntogil@libero.it> 3.2.5-3
- fix FTBFS rhbz#1239608
- fix BR list and use BR mvn()-like
- remove duplicate files
- fix some rpmlint problem

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 12 2014 Marek Goldmann <mgoldman@redhat.com> - 3.2.5-1
- Upstream release 3.2.5.Final

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 07 2013 Marek Goldmann <mgoldman@redhat.com> - 3.2.2-1
- Upstream release 3.2.2.Final

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-0.2.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 04 2013 Marek Goldmann <mgoldman@redhat.com> - 3.2.0-0.1.Beta1
- Upstream release 3.2.0.Beta1
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3.1.0-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-4
- Fixed typo

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-3
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Marek Goldmann <mgoldman@redhat.com> 3.1.0-1
- Upstream release 3.1.0.Final
- Relocated jars to _javadir

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-0.2.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 02 2011 Marek Goldmann <mgoldman@redhat.com> 3.1.0-0.1.CR1
- Upstream release 3.1.0.CR1

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.1-3
- Cleaned up source distrubuition, again

* Sun Oct 02 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.1-2
- Cleaned up source distribution
- Spec cleanup

* Thu Aug 04 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.1-1
- Initial packaging
